sessions module route (requires sessions:workspace:read)
GET
/v1/m/sessions/workspaces/{ref}
const url = 'https://example.com/v1/m/sessions/workspaces/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/m/sessions/workspaces/example \ --header 'Authorization: Bearer <token>'Returns one session workspace by reference.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” ref
required
string
Path parameter ref.
Header Parameters
Section titled “ Header Parameters ” X-Olivares-Tenant
string format: uuid
Target tenant id; required when the principal can act in more than one tenant.
Responses
Section titled “ Responses ”Registered folder, exact setup text, last approval as evidence, and setup_approved, true only while that approval covers the current text
Media type application/json
object
setup_approval
object
actor
required
string
at
required
string format: date-time
sha256
required
string
setup_approved
boolean
setup_command
string
setup_command_sha256
string
Example generated
{ "setup_approval": { "actor": "example", "at": "2026-04-15T12:00:00Z", "sha256": "example" }, "setup_approved": true, "setup_command": "example", "setup_command_sha256": "example"}Bad request
Media type application/json
object
Example generated
{}Unauthenticated
Media type application/json
object
Example generated
{}Forbidden
Media type application/json
object
Example generated
{}Not found
Media type application/json
object
Example generated
{}Conflict / setup required
Media type application/json
object
Example generated
{}Rate limited
Media type application/json
object
Example generated
{}